## dpuser 4.1+dfsg

=== QFitsView/Makefile ===
################################################################################
####       QFitsView Makefile
################################################################################
# Type one of the following lines:
#   make                    same as 'make release'
#   make release            (static, 32/64-bit autodetected)
#   make release_shared     (shared, 32/64-bit autodetected)
#   make debug              (static, 32/64-bit autodetected)
#   make debug_shared       (shared, 32/64-bit autodetected)
#   make CYGWIN=-y          WIN only, target for CYGWIN-environment
#   make clean              to clean up the project
#   make revision           creates the revision-string
#   make dist               LINUX/MACOSX only to create a distribution as
#                           tar.gz-file, calls automatically the revision-target
#                           (do a checkout to a new location before, since all
#                           .svn-folders will be deleted!)
#
#
#   make parsers PLATFORM=LINUX (or MACOSX or WIN)
#                          to create just the parsers and lexers for dpuser,
#                          dpuser2c & idl2c
#   make dpuser2c_header PLATFORM=LINUX (or MACOSX or WIN)
#                          to create just the dpuser2c.h-file
################################################################################

PARSER_DIR   = ../dpuser/parser
DPUSER2C_DIR = ../dpuser/dpuser2c
DP_PATH      = ../dpuser

ifeq ($(HOMEDRIVE), C:)
   OS     = WIN
   SED    = ../bin/WIN/sed.exe -i
   RM     = del
   RMDIR  = rmdir
else
   ifeq ($(TERM_PROGRAM), Apple_Terminal)
      OS  = MACOSX
      SED = sed -i ''
   else
      OS  = LINUX
      SED = sed -i''
   endif
   RM	  = rm -rf
endif

ifeq ($(wildcard qfitsview.mk),) 
    DO_CLEAN = NO
else 
    DO_CLEAN = YES
endif

################################################################################
##### main targets #####
all: release

all_base: doc_helpmap revision parsers

# static binaries
release: all_base qmake-release_static qfitsview
debug:   all_base qmake-debug_static qfitsview

ifeq ($(OS), WIN)
# shared binaries for Windows
release_shared: all_base qfits-dll qmake-release_shared qfitsview
debug_shared:   all_base qfits-dll-debug qmake-debug_shared qfitsview
else
# shared binaries forLinux/MacOS 
release_shared: all_base qmake-release_shared qfitsview
debug_shared:   all_base qmake-debug_shared qfitsview
endif

################################################################################
##### sub targets #####
# create documentation
doc_helpmap:
	$(MAKE) -C $(DP_PATH) doc/helpmap.cpp

# updates the revision in parser/svn_revision.h
revision:
	$(MAKE) -C $(DP_PATH) revision

# builds parser and dpuser2c-source-files
parsers:
	$(MAKE) -C $(DP_PATH) parsers

##### create Makefiles for QFitsView #####
# release-version, shared
qmake-release_shared:
	qmake QFitsView.pro "CONFIG+=release qf_shared"

# release-version, static, without dll's
qmake-release_static:
	qmake QFitsView.pro "CONFIG+=release qf_static"

# debug-version, shared
qmake-debug_shared:
	qmake QFitsView.pro "CONFIG+=debug qf_shared"

# debug-version, static
qmake-debug_static:
	qmake QFitsView.pro "CONFIG+=debug qf_static"

# special targets for Windows, shared-version
ifeq ($(OS), WIN)
qfits-dll:
	qmake QFitsView_dll.pro "CONFIG+=release qf_shared"
	$(MAKE) $(MULTIPROZGEIL) -f QFitsView_dll.mk

qfits-dll-debug:
	qmake QFitsView_dll.pro "CONFIG+=debug qf_shared"
	$(MAKE) $(MULTIPROZGEIL) -f QFitsView_dll.mk
endif

# effectively building QFitsView
qfitsview:
	$(MAKE) $(MULTIPROZGEIL) -f qfitsview.mk

################################################################################
clean:
	$(if $(DO_CLEAN:NO=), \
		$(MAKE) $(MULTIPROZGEIL) -if qfitsview.mk clean \
	)
	$(MAKE) $(MULTIPROZGEIL) -C $(DP_PATH) clean_qf PLATFORM=$(OS)
	$(if $(OS:WIN=), \
		-$(RM) -rf QFitsView QFitsViewD qfitsview.mk qfitsview.mk.Debug qfitsview.mk.Release QFitsView.app QFitsViewD.app QFitsView.pro.user* ../include/vtk/vtkConfigure.h qfitsviewd_plugin_import.cpp qfitsview_plugin_import.cpp \
	, \
		$(RM) QFitsView_dll.mk QFitsView_dll.mk.Release QFitsView_dll.mk.Debug qfitsview.mk qfitsview.mk.Release qfitsview.mk.Debug object_script.QFitsView.Debug object_script.QFitsView.Release object_script.QFitsViewD.Debug object_script.QFitsViewD.Release /f; \
		$(RMDIR) /s /q release debug \
	)
		
#	$(if $(OS:WIN=), \
#		-$(RM) -rf QFitsView QFitsViewD qfitsview.mk qfitsview.mk.Debug qfitsview.mk.Release QFitsView.app QFitsViewD.app QFitsView.pro.user* ../include/vtk/vtkConfigure.h qfitsviewd_plugin_import.cpp \
#	, \
#		$(RM) QFitsView_dll.mk QFitsView_dll.mk.Release QFitsView_dll.mk.Debug qfitsview.mk qfitsview.mk.Release qfitsview.mk.Debug object_script.QFitsView.Debug object_script.QFitsView.Release object_script.QFitsViewD.Debug object_script.QFitsViewD.Release /f ;\
#		$(RMDIR) release debug \
#	)
	
#		$(MAKE) $(MULTIPROZGEIL) -f QFitsView_dll.mk clean; \

=== dpuser/Makefile ===
################################################################################
# dpuser Makefile
################################################################################
# Type one of the following lines:
#   make                    same as 'make release'
#   make release            (static, 32/64-bit autodetect)
#   make release_shared     WIN only (shared, 32/64-bit autodetect)
#   make debug              (static, 32/64-bit autodetect)
#   make debug_shared       WIN only (shared, 32/64-bit autodetect)
#   make clean              to clean up the project
#   make revision           creates the revision-string
#   make dist               LINUX/MACOSX only to create a distribution as
#                           tar.gz-file, calls automatically the revision-target
#                           (do a checkout to a new location before, since all
#                           .svn-folders will be deleted!)
#
#
#   make parsers PLATFORM=LINUX (or MACOSX or WIN)
#                          to create just the parsers and lexxers for dpuser,
#                          dpuser2c & idl2c
#   make dpuser2c_header PLATFORM=LINUX (or MACOSX or WIN)
#                          to create just the dpuser2c.h-file
#
# In dpuser a static target means that all libraries and functionality is linked
# statically into the created binary.
# A shared target means that some dpuser-functionality is moved to a dll
# (external libraries are still linked statically).
#
################################################################################
RM          = rm -f
SED         = sed
CC          = gcc
CXX         = g++
LINK        = g++
QF          =
GDL         = -DHAS_GDL
PY          = -DHAS_PYTHON

PLPLOT      = -DHAS_PLPLOT
PGPLOT      = -DHAS_PGPLOT
DPPGPLOT    = -DHAS_DPPGPLOT
PG2PLPLOT   = -DHAS_PG2PLPLOT

PLPLOTLIB   =
PGPLOTLIB   =

ifeq ($(PLPLOT), -DHAS_PLPLOT)
   PLPLOTLIB = -y
endif
ifeq ($(GDL), -DHAS_GDL)
   PLPLOTLIB = -y
endif
ifeq ($(PGPLOT), -DHAS_PGPLOT)
   ifeq ($(PG2PLPLOT), -DHAS_PG2PLPLOT)
      PLPLOTLIB = -y
      DPPGPLOT =
   else
      PGPLOTLIB = -y
   endif
endif

DEFINES     = $(PLPLOT) $(PGPLOT) $(DPPGPLOT) $(PG2PLPLOT) $(GDL) $(PY) -D$(OS)
ifeq ($(QF), -qt)
   DEFINES  += -DDPQT -DNO_READLINE
endif

CFLAGS      = -pipe -O2 -D_REENTRANT -w $(DEFINES)
CXXFLAGS    = -pipe -O2 -std=c++11 -D_REENTRANT -w $(DEFINES)
INCPATH     = -I. -I../utils -I../libfits -I../include -Iparser -I.

ifeq ($(GDL), -DHAS_GDL)
   INCPATH  += -I../include/gdl
endif

OBJECTS =     dpuser_utils.o \
              dpuser.procs.o \
              helpmap.o \
              y.mpfit.o \
              mpfitAST.o \
              lex.mpfit.o \
              dpuserType.o \
              dpstring.o \
              dpstringlist.o \
              regex_sr.o \
              mpfit.o \
	            kabsch2d.o \
              3d_stuff.o \
              cube.o \
              dpheader.o \
              fits.o \
              fits_cube.o \
              fits_dpl.o \
              fits_exc.o \
              fits_file.o \
              fits_filters.o \
              fits_funcs.o \
              fits_mem.o \
              fits_ops.o \
              fits_procs.o \
              fits_range.o \
              fits_red.o \
              JulianDay.o \
              math_utils.o \
              dpComplex.o \
              fitting.o \
              voronoi.o \
              fits_logic.o \
              astrolib.o \
							arithmetics.o \
							boolean.o \
							dpuserAST.o \
              dpuser.yacchelper.o \
              functions.o \
              y.tab.o \
              dpuser.input.o \
              procedures.o \
              lex.yy.o \
              svn_revision.o \
							gdl_dpuser.o \
							python_dpuser.o \
							cpgplot.o

ifeq ($(PGPLOT), -DHAS_PGPLOT)
   ifeq ($(DPPGPLOT), -DHAS_DPPGPLOT)
      OBJECTS += cpg3d.o
   endif
endif

################################################################################
# Platform-specific defines

ifeq ($(HOMEDRIVE), C:)
   OS             = WIN
   RM             = del
   SED_INPLACE    = ../bin/WIN/sed.exe -i
   
   # didn't manage to do this as onliner like in the unix-case, pipe doesn't work...
   REV_NR := $(shell svnversion -c ..)
   $(shell @echo $(REV_NR) > _bbb.txt)
   REV_NR := $(shell sed -e 's/[MS]//g' -e 's/^[[:digit:]]*://' _bbb.txt)
   $(shell del _bbb.txt)

   ifndef $(ARCH)
   # didn't manage to do this as onliner like in the unix-case, pipe doesn't work...
      ARCH := $(shell wmic os get osarchitecture)
      $(shell @echo $(ARCH) > _bbb.txt)
      ARCH := $(shell sed  -e "s/OSArchitecture//g" -e "s/ //g" -e "s/-bit//g" -e "s/-Bit//g" _bbb.txt)
      $(shell del _bbb.txt)
   endif

   DEFINES  += -DHAVE_MINGW32

   LIBS =     ../lib/$(OS)$(ARCH)/libfftw3.a \
              ../lib/$(OS)$(ARCH)/libcpgplot.a \
              ../lib/$(OS)$(ARCH)/libpgplot.a \
              ../lib/$(OS)$(ARCH)/libpng.a \
              ../lib/$(OS)$(ARCH)/libxpa.a \
              ../lib/$(OS)$(ARCH)/libf2c.a \
              ../lib/$(OS)$(ARCH)/libreadline.a \
              ../lib/$(OS)$(ARCH)/libtermcap.a

   ifeq ($(GDL), -DHAS_GDL)
          LIBS  += ../lib/$(OS)$(ARCH)/libgdl.a \
                   ../lib/$(OS)$(ARCH)/libfftw3f.a \
                   ../lib/$(OS)$(ARCH)/libplplotcxx.a \
                   ../lib/$(OS)$(ARCH)/libplplot.a \
                   ../lib/$(OS)$(ARCH)/libqsastime.a \
                   ../lib/$(OS)$(ARCH)/libcsirocsa.a \
                   ../lib/$(OS)$(ARCH)/libgnurx.a \
                   ../lib/$(OS)$(ARCH)/libxdr.a \
                   -lole32 -lspoolss -lwinspool -loleaut32 -luuid
   endif
   ifeq ($(PY), -DHAS_PYTHON)
#      LIBS +=	/Programme/Python3/libs/libpython36.a
      INCPATH  += -I/Programme/Python3/include
   endif
       LIBS  += ../lib/$(OS)$(ARCH)/libgsl.a \
                ../lib/$(OS)$(ARCH)/libgslcblas.a \
								../lib/$(OS)$(ARCH)/libz.a \
                -lgdi32 -lws2_32 -lshlwapi -lcomdlg32 -lcomctl32
				 
   LDFLAG      = -static-libgcc -static-libstdc++ -Wl,--enable-runtime-pseudo-reloc
else
   REV_NR := $(shell svnversion -c .. | sed -e 's/[MS]//g' -e 's/^[[:digit:]]*://')

   ifeq ($(shell uname -m), x86_64)
      ARCH = 64
   else
      ARCH = 32
   endif

   ifeq ($(TERM_PROGRAM), Apple_Terminal)
      OS          = MACOSX
      ifeq ($(ARCH), 32)
         LDFLAG      = -arch i386
         CXXFLAGS    := -arch i386 $(CXXFLAGS)
      else
         # -arch x86_64
         LDFLAG      = 
      endif
      SED_INPLACE = sed -i ''
      LIBS        = ../lib/$(OS)$(ARCH)/libxpa.a \
                    ../lib/$(OS)$(ARCH)/libfftw3.a \
                    ../lib/$(OS)$(ARCH)/libcpgplot.a \
                    ../lib/$(OS)$(ARCH)/libpgplot.a \
                    ../lib/$(OS)$(ARCH)/libpng.a \
                    ../lib/$(OS)$(ARCH)/libgsl.a \
                    ../lib/$(OS)$(ARCH)/libgslcblas.a \
                    ../lib/$(OS)$(ARCH)/libreadline.a \
                    ../lib/$(OS)$(ARCH)/libz.a \
                    ../lib/$(OS)$(ARCH)/libncurses.a \
                    ../lib/$(OS)$(ARCH)/libf2c.a
   ifeq ($(GDL), -DHAS_GDL)
            LIBS += ../lib/$(OS)$(ARCH)/libgdl.a \
                    ../lib/$(OS)$(ARCH)/libfftw3f.a \
                    ../lib/$(OS)$(ARCH)/libplplot.a \
                    ../lib/$(OS)$(ARCH)/libplplotcxx.a \
                    ../lib/$(OS)$(ARCH)/libqsastime.a \
                    ../lib/$(OS)$(ARCH)/libcsirocsa.a
   endif
            LIBS += -L/opt/X11/lib \
                    -lX11
   ifeq ($(PY), -DHAS_PYTHON)
#            LIBS += -L/Library/Frameworks/Python.framework/Versions/3.6/lib -lpython3.6
      INCPATH  += -I/Library/Frameworks/Python.framework/Versions/3.6/include/python3.6m -I/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/numpy/core/include
   endif

   else
      OS          = LINUX
      LDFLAG      = -static-libstdc++ -static-libgcc
      SED_INPLACE = sed -i''
      LIBS        = -rdynamic \
                    ../lib/$(OS)$(ARCH)/libxpa.a \
                    ../lib/$(OS)$(ARCH)/libfftw3.a \
                    ../lib/$(OS)$(ARCH)/libreadline.a \
                    ../lib/$(OS)$(ARCH)/libncurses.a
   ifeq ($(GDL), -DHAS_GDL)
          LIBS +=   ../lib/$(OS)$(ARCH)/libgdl.a
   endif
	 ifeq ($(PLPLOTLIB), -y)
          LIBS +=   ../lib/$(OS)$(ARCH)/libplplotcxx.a \
                    ../lib/$(OS)$(ARCH)/libfftw3f.a \
                    ../lib/$(OS)$(ARCH)/libplplot.a \
                    ../lib/$(OS)$(ARCH)/libqsastime.a
   endif
   ifeq ($(PGPLOTLIB), -y)
          LIBS +=   ../lib/$(OS)$(ARCH)/libcpgplot.a \
                    ../lib/$(OS)$(ARCH)/libpgplot.a \
                    ../lib/$(OS)$(ARCH)/libf2c.a
   endif
      LIBS +=   ../lib/$(OS)$(ARCH)/libgsl.a \
                ../lib/$(OS)$(ARCH)/libgslcblas.a \
                ../lib/$(OS)$(ARCH)/libz.a \
                ../lib/$(OS)$(ARCH)/libpng.a
   ifeq ($(PY), -DHAS_PYTHON)
#      LIBS += /usr/lib/x86_64-linux-gnu/libpython3.5m.a -lexpat -lutil
      INCPATH  += -I/usr/include/python3.5m
   endif
       LIBS +=      -lX11 -ldl -lxcb -lpthread -lXdmcp -lXau

   endif
   TARDIR     := $(shell echo $(PWD) | sed 's|/dpuser$$||g' | sed 's|\/.*\/||g')
endif

################################################################################
# main targets
all: release 

##### RELEASE TARGETS #####
ifeq ($(OS), WIN) # start WIN
release:
	$(MAKE) static "TARGET_WIN = dpuser.exe"
else # start LINUX & MACOSX
release:
	$(MAKE) static "TARGET_LINUX = dpuser"
endif # end LINUX & MACOSX

##### DEBUG TARGETS #####
ifeq ($(OS), WIN) # start WIN
debug:
	$(MAKE) static "TARGET_WIN = dpuserD.exe" "CFLAGS = $(CFLAGS) -g -DDBG" "CXXFLAGS = $(CXXFLAGS) -g -DDBG"
else # start LINUX & MACOSX
debug:
	$(MAKE) static "TARGET_LINUX = dpuserD" "CFLAGS = $(CFLAGS) -g -DDBG" "CXXFLAGS = $(CXXFLAGS) -g -DDBG"
endif # end LINUX & MACOSX

################################################################################
# sub targets

ifeq ($(OS), WIN) # start WIN
static: revision parsers
	$(MAKE) $(MULTIPROZGEIL) $(TARGET_WIN)
else # end WIN, start LINUX & MACOSX
static: doc/helpmap.cpp revision parsers
	$(MAKE) $(MULTIPROZGEIL) $(TARGET_LINUX)
endif # end LINUX & MACOSX

$(TARGET_DLL): $(DLL_OBJECTS)
	g++ -shared -o $(TARGET_DLL) $(DLL_OBJECTS) $(DLL_LIBS)

$(TARGET_WIN): $(OBJECTS)
	$(LINK) $(LDFLAG) -o $(TARGET_WIN) $(OBJECTS) $(LIBS)

$(TARGET_LINUX): $(OBJECTS)
	$(LINK) $(LDFLAG) -o $(TARGET_LINUX) $(OBJECTS) $(LIBS)

# Builds parser-, dpuser2c & idl2c-source-files
parsers: parsers_qf
	$(MAKE) -C parser PLATFORM=$(OS)

parsers_qf:
	$(MAKE) -C mpfit PLATFORM=$(OS)

clean: clean_qf
	-$(RM) $(OBJECTS)
	$(if $(OS:WIN=), \
		-$(RM) dpuser dpuserD \
	, \
		-$(RM) dpuser.exe dpuserD.exe \
	)

# this target is called by QFitsView 'make clean'
clean_qf: FORCE
	$(MAKE) -C parser clean  PLATFORM=$(OS)
	$(MAKE) -C mpfit clean PLATFORM=$(OS)

FORCE:

################################################################################
# Updates the revision in parser/svn_revision.h
revision:
ifeq ($(OS), WIN)
	echo #include "svn_revision.h" > parser/svn_revision.cpp
	echo. >> parser/svn_revision.cpp
	echo char* GetRevString() { return "Rev. $(REV_NR)"; } >> parser/svn_revision.cpp
else
	@echo '#include "svn_revision.h"' > parser/svn_revision_new.cpp; \
	echo '' >> parser/svn_revision_new.cpp; \
	echo 'char* GetRevString() { return "Rev. $(REV_NR)"; }' >> parser/svn_revision_new.cpp; \
	cmp -s parser/svn_revision.cpp parser/svn_revision_new.cpp; \
	RETVAL=$$?; \
	if [ $$RETVAL -ne 0 ]; then \
		mv parser/svn_revision_new.cpp parser/svn_revision.cpp; \
	fi
endif
	@echo "Revision number: "$(REV_NR)


################################################################################
# Creates a distribution
ifeq ($(OS), WIN) # start WIN
dist:
	@echo "*************************************************************"
	@echo "ERROR: Distribution can only be generated under LINUX or MAC!"

=== utils/Makefile ===
#############################################################################
# Makefile for building: libutils.a
# Generated by qmake (1.07a) (Qt 3.3.1) on: Mon Aug  9 11:28:43 2004
# Project:  utils.pro
# Template: lib
# Command: $(QMAKE) -o Makefile utils.pro
#############################################################################

####### Compiler, tools and options

CC             = gcc
CXX            = g++
LEX            = flex
YACC           = yacc
CFLAGS         = -pipe -Wall -W -O2  -DQT_NO_DEBUG
CXXFLAGS       = -pipe -Wall -W -O2  -DQT_NO_DEBUG
LEXFLAGS       = 
YACCFLAGS      = -d
INCPATH        = -I/afs/mpe/home/ott/qt-x11-free-3.3.1/mkspecs/default -I. -I$(QTDIR)/include
AR             = ar cqs
RANLIB         = 
MOC            = $(QTDIR)/bin/moc
UIC            = $(QTDIR)/bin/uic
QMAKE          = qmake
TAR            = tar -cf
GZIP           = gzip -9f
COPY           = cp -f
COPY_FILE      = $(COPY)
COPY_DIR       = $(COPY) -r
INSTALL_FILE   = $(COPY_FILE)
INSTALL_DIR    = $(COPY_DIR)
DEL_FILE       = rm -f
SYMLINK        = ln -sf
DEL_DIR        = rmdir
MOVE           = mv -f
CHK_DIR_EXISTS = test -d
MKDIR          = mkdir -p

####### Output directory

OBJECTS_DIR    = ./

####### Files

HEADERS        = cpg3d.h
SOURCES        = dsqinf.f \
                 freddy.f \
                 pgcell.f \
                 pgxtal.f \
                 plot2d.f \
                 cpg3d.c
OBJECTS        = dsqinf.o \
                 freddy.o \
                 pgcell.o \
                 pgxtal.o \
                 plot2d.o \
                 cpg3d.o
FORMS          = 
UICDECLS       = 
UICIMPLS       = 
SRCMOC         = 
OBJMOC         = 
DIST	       = utils.pro
QMAKE_TARGET   = utils
DESTDIR        = 
TARGET         = libutils.a

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS) $(OBJMOC)


mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: utils.pro  /afs/mpe/home/ott/qt-x11-free-3.3.1/mkspecs/default/qmake.conf ../../../../../../mpe/home/ott/qt-x11-free-3.3.1/lib/libqt.prl
	$(QMAKE) -o Makefile utils.pro
qmake: 
	@$(QMAKE) -o Makefile utils.pro

dist: 
	@mkdir -p .tmp/utils && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/utils/ && ( cd `dirname .tmp/utils` && $(TAR) utils.tar utils && $(GZIP) utils.tar ) && $(MOVE) `dirname .tmp/utils`/utils.tar.gz . && $(DEL_FILE) -r .tmp/utils

mocclean:

uiclean:

yaccclean:
lexclean:
clean:
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

dsqinf.o: dsqinf.f 

freddy.o: freddy.f 

pgcell.o: pgcell.f 

pgxtal.o: pgxtal.f 

plot2d.o: plot2d.f 

cpg3d.o: cpg3d.c 

####### Install

install:  

uninstall:

=== utils/osdir/Makefile ===
dotest: test.cc Makefile osdir.h
	g++ -Wall -o test.o -c test.cc
	g++ -Wall -o dotest test.o

dowalkroot: walkroot.cc Makefile osdir.h
	g++ -Wall -o walkroot.o -c walkroot.cc
	g++ -Wall -o dowalkroot walkroot.o

all: dotest dowalkroot

clean:
	-rm -rf *.o do*

=== debian/changelog ===
dpuser (4.1+dfsg-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:50 +1100

dpuser (4.1+dfsg-2build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:15:56 +0000

dpuser (4.1+dfsg-2build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:53:19 +0100

dpuser (4.1+dfsg-2) unstable; urgency=medium

  * Always return something in dpuserAST. Closes: #1037624

 -- Ole Streicher <olebole@debian.org>  Mon, 24 Jul 2023 16:45:28 +0200

dpuser (4.1+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
   (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Remove constraints unnecessary since buster

  [ Ole Streicher ]
  * New upstream version 4.1+dfsg
  * Push Standards-Version to 4.6.0. No changes needed
  * Add "Rules-Requires-Root: no" to d/control
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 09 Oct 2021 15:22:23 +0200

=== debian/control ===
Source: dpuser
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: bison,
               debhelper-compat (= 13),
               flex,
               giza-dev,
               libfftw3-dev,
               libgsl-dev,
               libpng-dev,
               libqt5datavisualization5-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libreadline-dev,
               libxpa-dev,
               qtbase5-dev,
               qtchooser,
	       libz-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/dpuser
Vcs-Git: https://salsa.debian.org/debian-astro-team/dpuser.git
Homepage: https://www.mpe.mpg.de/~ott/dpuser/index.html
Rules-Requires-Root: no

Package: dpuser
Architecture: any
Depends: g++,
         libc6-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: dpuser-doc
Description: Interactive language for handling numbers, strings, and matrices
 DPUSER is an interactive language capable of handling numbers (both real and
 complex), strings, and matrices. Its main aim is to do astronomical image
 analysis, for which it provides a comprehensive set of functions, but it can
 also be used for many other applications.
 .
 Note that this package was compiled with the giza library instead of PGPLOT,
 since the latter is non-free software.

Package: qfitsview
Architecture: any
Depends: g++,
         libc6-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dpuser-doc
Description: FITS file viewer based on DPUSER
 QFitsView is a FITS file viewer based on DPUSER. In addition to displaying
 two-dimensional images, it also provides means to explore three-dimensional
 data cubes. It integrates the functionality of DPUSER which can be accessed
 directly out of QFitsView.
 .
 Note that this package was compiled with the giza library instead of PGPLOT,
 since the latter is non-free software.

Package: dpuser-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation for DPUSER and QFitsView
 DPUSER is an interactive language capable of handling numbers (both real and
 complex), strings, and matrices. Its main aim is to do astronomical image
 analysis, for which it provides a comprehensive set of functions, but it can
 also be used for many other applications.
 .
 This package contains the documentation for DPUSER and QFitsView.
